# Get class slot by id Required Scopes: Returns class slots for specified class slot id Endpoint: GET /v1/classes/{classId}/slots/{classSlotId} Version: 1.14.1 Security: ApiKeyAuth ## Path parameters: - `classId` (integer, required) Id of the class. - `classSlotId` (integer, required) Unique ID of the class slot ## Response 200 fields (application/json): - `id` (integer, required) Unique ID of a class slot Example: 1001 - `startDateTime` (string) Class slot start date and time with zone Example: "2022-06-22T08:00:00.000+02:00[Europe/Berlin]" - `endDateTime` (string) Class slot end date and time with zone Example: "2022-06-22T09:00:00.000+02:00[Europe/Berlin]" - `classInformation` (object) Basic information of a class - `classInformation.id` (integer, required) Unique ID of the class Example: 1001 - `classInformation.title` (string) Title of the class Example: "Mission Beach body" - `classInformation.duration` (integer) Duration of the class in minutes Example: 45 - `classInformation.category` (string) Category of the class Example: "Fitness" - `classInformation.description` (string) Description of the class Example: "Get your body ready for beaches" - `instructors` (array) List of instructors - `instructors.id` (integer, required) Unique ID of the instructor Example: 101 - `instructors.firstName` (string, required) Instructor's first name Example: "Anna" - `instructors.lastName` (string, required) Instructor's last name Example: "Chodakowska" - `instructors.publicName` (string) Public name that should be shown to customers Example: "Peter2000" - `location` (object) Represents location data - `location.id` (integer, required) Unique ID of the location Example: 203 - `location.name` (string, required) Name of the location Example: "Room 1" - `location.description` (string) Description of the location Example: "Room located behind reception" - `earliestBookingDateTime` (string) Class slot earliest booking date and time with zone Example: "2022-06-15T00:00:00.000+02:00[Europe/Berlin]" - `latestBookingDateTime` (string) Class slot latest booking date and time with zone Example: "2022-06-15T23:59:59.999+02:00[Europe/Berlin]" - `maxParticipants` (integer) Maximum participants allowed for a class slot Example: 25 - `maxWaitingListParticipants` (integer) Maximum number of waiting list participants allowed for a class slot Example: 5 - `bookedParticipants` (integer) Current number of booked participants of a class slot Example: 25 - `additionalParticipants` (integer, required) Additional participants added by the operator Example: 5 - `waitingListParticipants` (integer) Current number of waiting list participants of a class slot Example: 2 - `bookable` (boolean) Whether this class slot can be booked ## Response 400 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 401 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 403 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 404 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 409 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 429 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 500 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST"